/**
 *     Caption: Zaval Light-Weight Visual Components Library
 *     $Revision: 2.79 $
 *     $Date: 2003/08/22 11:24:16 $
 *
 *     @author:     Andrei Vishnevsky
 *     @version:    3.50
 *
 * Zaval Light-Weight Visual Components Library (LwVCL) is a pure Java
 * alternative to humble AWT-based and SWING-based GUI interfaces for
 * wide ranges of platforms, including J2SE, PersonalJava and J2ME.
 *
 * Designed as light-weight but, alternatively to Swing, built separately
 * from AWT (not on top of the java.awt library like Swing), the LwVCL is
 * the good alternative to highly performant, memory-efficient, flexible
 * GUI solution for embedded, stand-alone and applet applications.
 *
 * For more info on this product read Zaval Light-Weight Visual Components Library Tutorial
 * (It comes within this package).
 * The latest product version is always available from the product's homepage:
 * http://www.zaval.org/products/lwvcl/
 * and from the SourceForge:
 * http://sourceforge.net/projects/zaval0003/
 *
 * Contacts:
 *   Support : support@zaval.org
 *   Change Requests : change-request@zaval.org
 *   Feedback : feedback@zaval.org
 *   Other : info@zaval.org
 *
 * Copyright (C) 2001-2003  Zaval Creative Engineering Group (http://www.zaval.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * (version 2) as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
namespace org.zaval.data.events {


using org.zaval.data;
using org.zaval.port.cs;


public class TextEvent:org.zaval.util.events.EvObject
{
   public const  int INSERTED = 1;

   public const  int REMOVED  = 2;

   public const  int UPDATED  = 3;


   private int offset, size;
   private int firstUpdatedLine, updatedLines;

   public TextEvent(object target, int id, int offset, int size):base(target, id)
   {
    
     this.offset = offset;
     this.size   = size;
   }

   public void setUpdatedLines (int first, int lines) {
     firstUpdatedLine = first;
     updatedLines     = lines;
   }

   public int getFirstUpdatedLine() {
     return firstUpdatedLine;
   }

   public int getUpdatedLines() {
     return updatedLines;
   }

   public int getOffset() {
     return offset;
   }

   public int getSize() {
     return size;
   }

   public override bool checkID(int id) {
     return id == INSERTED || id == REMOVED || id == UPDATED;
   }
}

}
