/**
 *     Caption: Zaval Light-Weight Visual Components Library
 *     $Revision: 2.79 $
 *     $Date: 2003/08/22 11:24:16 $
 *
 *     @author:     Andrei Vishnevsky
 *     @version:    3.50
 *
 * Zaval Light-Weight Visual Components Library (LwVCL) is a pure Java
 * alternative to humble AWT-based and SWING-based GUI interfaces for
 * wide ranges of platforms, including J2SE, PersonalJava and J2ME.
 *
 * Designed as light-weight but, alternatively to Swing, built separately
 * from AWT (not on top of the java.awt library like Swing), the LwVCL is
 * the good alternative to highly performant, memory-efficient, flexible
 * GUI solution for embedded, stand-alone and applet applications.
 *
 * For more info on this product read Zaval Light-Weight Visual Components Library Tutorial
 * (It comes within this package).
 * The latest product version is always available from the product's homepage:
 * http://www.zaval.org/products/lwvcl/
 * and from the SourceForge:
 * http://sourceforge.net/projects/zaval0003/
 *
 * Contacts:
 *   Support : support@zaval.org
 *   Change Requests : change-request@zaval.org
 *   Feedback : feedback@zaval.org
 *   Other : info@zaval.org
 *
 * Copyright (C) 2001-2003  Zaval Creative Engineering Group (http://www.zaval.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * (version 2) as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
namespace org.zaval.port.cs {

   public class LwConstants
   {
     public const int SHIFT_MASK = 1;
     public const int CTRL_MASK  = 2;
     public const int ALT_MASK   = 4;

     public const int BUTTON1_MASK = 8;
     public const int BUTTON3_MASK = 32;

     public const int VK_ENTER       = (int)System.Windows.Forms.Keys.Enter;
     public const int VK_BACK_SPACE  = (int)System.Windows.Forms.Keys.Back;
     public const int VK_TAB         = (int)System.Windows.Forms.Keys.Tab;
     public const int VK_CANCEL      = (int)System.Windows.Forms.Keys.Cancel;
     public const int VK_CLEAR       = (int)System.Windows.Forms.Keys.Clear;
     public const int VK_SHIFT       = (int)System.Windows.Forms.Keys.Shift;
     public const int VK_CONTROL     = (int)System.Windows.Forms.Keys.Control;
     public const int VK_ALT         = (int)System.Windows.Forms.Keys.Alt;
     public const int VK_PAUSE       = (int)System.Windows.Forms.Keys.Pause;
     public const int VK_CAPS_LOCK   = (int)System.Windows.Forms.Keys.CapsLock;
     public const int VK_ESCAPE      = (int)System.Windows.Forms.Keys.Escape;
     public const int VK_SPACE       = (int)System.Windows.Forms.Keys.Space;
     public const int VK_PAGE_UP     = (int)System.Windows.Forms.Keys.PageUp;
     public const int VK_PAGE_DOWN   = (int)System.Windows.Forms.Keys.PageDown;
     public const int VK_END         = (int)System.Windows.Forms.Keys.End;
     public const int VK_HOME        = (int)System.Windows.Forms.Keys.Home;
     public const int VK_LEFT        = (int)System.Windows.Forms.Keys.Left;
     public const int VK_UP          = (int)System.Windows.Forms.Keys.Up;
     public const int VK_RIGHT       = (int)System.Windows.Forms.Keys.Right;
     public const int VK_DOWN        = (int)System.Windows.Forms.Keys.Down;

     public const int VK_DELETE      = (int)System.Windows.Forms.Keys.Delete;
     public const int VK_INSERT      = (int)System.Windows.Forms.Keys.Insert;
   }

}


